haskell-http (1:4000.4.1-1build5) oracular; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 May 2024 11:39:51 +0200

haskell-http (1:4000.4.1-1build4) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:45:13 +0100

haskell-http (1:4000.4.1-1build3) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:41:01 +0100

haskell-http (1:4000.4.1-1build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 08:48:39 +0100

haskell-http (1:4000.4.1-1build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 14:38:35 +0100

haskell-http (1:4000.4.1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.2
  * Remove MIA uploaders (Closes: #907111)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 07 Sep 2023 21:06:10 +0300

haskell-http (1:4000.3.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove MIA uploaders

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 16:22:42 -0400

haskell-http (1:4000.3.14-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 12:59:32 -0400

haskell-http (1:4000.3.14-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 21:06:58 -0400

haskell-http (1:4000.3.12-4) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:13 +0300

haskell-http (1:4000.3.12-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:28 +0300

haskell-http (1:4000.3.12-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:11:53 +0300

haskell-http (1:4000.3.12-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 08:22:19 -0400

haskell-http (1:4000.3.11-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:22:12 -0400

haskell-http (1:4000.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 18 Dec 2017 09:53:55 -0500

haskell-http (1:4000.3.8-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 15:49:52 -0500

haskell-http (1:4000.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:52:40 -0400

haskell-http (1:4000.3.3-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:20 -0400

haskell-http (1:4000.3.3-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:25:18 -0400

haskell-http (1:4000.3.3-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:15:54 +0200

haskell-http (1:4000.2.23-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 01:09:16 -0500

haskell-http (1:4000.2.20-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:37 -0500

haskell-http (1:4000.2.20-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:54 +0200

haskell-http (1:4000.2.20-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jul 2015 09:18:18 +0200

haskell-http (1:4000.2.19-4) unstable; urgency=medium

  * 1:4000.2.20-1

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 21:37:34 +0200

haskell-http (1:4000.2.19-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:44 +0200

haskell-http (1:4000.2.19-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:48 +0200

haskell-http (1:4000.2.19-1) experimental; urgency=medium

  * New upstream version
  * Move description from binary packages to X-Description
  * Bump standard version to 3.9.6
  * Reformat debian/copyright according to dep5

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 10 Mar 2015 13:39:41 +0300

haskell-http (1:4000.2.17-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:01 +0100

haskell-http (1:4000.2.17-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 23 Jun 2014 18:22:57 -0700

haskell-http (1:4000.2.8-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 May 2013 15:52:39 +0200

haskell-http (1:4000.2.6-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:04 +0200

haskell-http (1:4000.2.6-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 02 Dec 2012 22:04:29 +0100

haskell-http (1:4000.2.5-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 21:02:04 +0200

haskell-http (1:4000.2.3-1) unstable; urgency=low

  * New upstream release, to go with the platform 2012.2.0.0 (no functional
    changes)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 11:27:49 +0200

haskell-http (1:4000.2.2-2) unstable; urgency=low

  * Add ${haskell:Depends} to -doc package

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:20:49 +0100

haskell-http (1:4000.2.2-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Mon, 06 Feb 2012 19:22:04 -0500

haskell-http (1:4000.1.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 22 Sep 2011 21:23:51 +0200

haskell-http (1:4000.1.1-2) unstable; urgency=low

  * Return to sane version number scheme (Closes: #601698)
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Mar 2011 10:41:06 +0530

haskell-http (40001010-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 10:58:27 +0530

haskell-http (40000009-2) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:05:44 -0300

haskell-http (40000009-1) unstable; urgency=low

  * New upstream release

 -- Leandro Lisboa Penz <llpenz@gmail.com>  Sun, 18 Apr 2010 15:19:04 -0300

haskell-http (40000006-4) unstable; urgency=low

  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:46 -0300

haskell-http (40000006-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Merge opts in one line.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Remove .cabal patch, bump dependencies
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:22:31 +0100

haskell-http (40000006-2) unstable; urgency=low

  * Use newest cdbs with support for DEB_BUILD_DEPENDENCIES = build-arch

 -- Joachim Breitner <nomeata@debian.org>  Mon, 20 Jul 2009 15:38:41 +0200

haskell-http (40000006-1) unstable; urgency=low

  [ Iain Lane ]
  * New upstream release (Closes: #524348)
    - Exports MkCookie data contructor. (Closes: #471139)
  * debian/rules, debian/control: Update to use hlibrary.mk
  * Remove old obsolete linda overrides
  * Installable again (Closes: #531245)
  * debian/control: Switch to parsec2 - cannot build otherwise as network
    built against parsec2.
  * debian/control: Clean up unnecessary build-deps
  * debian/control: Add hscolour to b-d-i; needed to build docs now
  * debian/control: Bump standards-version to 3.8.2, no changes
  * debian/copyright: Update with new holders and info for myself

  [ Joachim Breitner ]
  * Fix installation path for haddock files
  * Put into section haskell

 -- Joachim Breitner <nomeata@debian.org>  Mon, 20 Jul 2009 12:59:35 +0200

haskell-http (30010105-0.1) unstable; urgency=low

  * New upstream release that is compatible with GHC 6.10.
  * Rebuild with GHC 6.10.  Closes: #522766, #519704.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Apr 2009 11:22:12 -0500

haskell-http (30010004-3) unstable; urgency=low

  * debian/control:
    - Add package containing the profiling libraries. (Closes: #473519)
    - Add the needed profiling packages to the build dependencies.
  * debian/haskell-http-doc.doc-base:
    - Change section to Programming to fix lintian warning
      "doc-base-unknown-section haskell-http-api:5 Apps/Programming"

 -- Arjan Oosting <arjan@debian.org>  Mon, 31 Mar 2008 11:01:26 +0200

haskell-http (30010004-2) unstable; urgency=low

  * Update for GHC 6.8.2:
    - debian/patches/00list: disable 01-work-with-old-cabal patch.
    - debian/control: Bump build dependency on ghc6 to 6.8.2 which ships
      the new Cabal version needed to build this package.
  * debian/control:
    - Adjust Vcs-* fields to point to trunk.
    - Change the section of libghc6-haxml-dev to libdevel as suggested by
      lintian (dev-package-should-be-section-libdevel)
  * debian/haskell-http-doc.doc-base:
    - Cabal version 1.2 installs the generated documentation into a
    different directory so adjust the doc-base file for that.

 -- Arjan Oosting <arjan@debian.org>  Fri, 08 Feb 2008 23:46:10 +0100

haskell-http (30010004-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Rename Xs-Vcs-* fields to Vcs-* field.
    - Update build dependency on haskell-devscripts to (>= 0.6.0) which
      generates the haddock documentation now.
    - Bump Standards-Version to 3.7.3. No changes needed.
  * debian/haskell-http-doc.docs: Removed as dh_haskell_install installs
    the generated API documentation now.
  * debian/mk-haskell-depends: Removed as haskell-devscripts now ships
    dh_haskell_depends
  * debian/patches/01-work-with-old-cabal:
    - Added. Adjust the .cabal file to work with the Cabal version shipped
      with ghc 6.6.1.
  * debian/rules:
    - dh_haskell_install does not install empty directories anymore and
      removes empty directories from the GHC package configuration
      file, so stop doing this manually.
    - dh_haskell also generates the haddock documentation so stop calling
      ./setup haddock
    - Replace the call to debian/mk-haskell-depends with a call to
      dh_haskell_depends.

 -- Arjan Oosting <arjan@debian.org>  Sun, 30 Dec 2007 21:26:00 +0100

haskell-http (30000000-2) unstable; urgency=low

  * Rebuild with haddock 0.8-2 to make sure the links work.
  * debian/control:
    - Use new Homepage field.
  * debian/rules:
    - Move package specific parts in variables at the top of the
      makefile.

 -- Arjan Oosting <arjan@debian.org>  Tue, 09 Oct 2007 00:22:03 +0200

haskell-http (30000000-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update XS-Vcs-* fields as the packages has moved to the pkg-haskell
      subversion archive.
    - Add the missing (build) dependencies on lib*parsec-* packages.
  * debian/haskell-http-doc.examples: Removed as haskell-http does not
    ship examples anymore.
  * debian/{mk-haskell-depends,rules}:
    - Small cleanups.
  * debian/watch:
    - Updated for the new location of upstream tarballs.
  * Generate links to other API documentation packages:
    - debian/control:
      + Add libghc6-base-doc, libghc6-network-doc and libghc6-parsec-doc
        to the Build-Depends-Indep so haddock can link to names in other
        packages.
      + Add libghc6-base-doc, libghc6-network-doc and libghc5-parsec-doc
        to the Recommends of haskell-http-doc.

 -- Arjan Oosting <arjan@debian.org>  Mon, 28 May 2007 06:01:50 +0200

haskell-http (20060707-4) unstable; urgency=low

  * debian/control:
    - Update Build-Depends-Indep and Depends for the modular packaging of
      Hugs version 98.200609.21.
    - Wrap Build-Depends, Build-Depends-Indep and Depends lines.
    - Add ${misc:Depends} entries.
    - Add doc-base to the Recommends field of haskell-edison-doc.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Apr 2007 10:44:16 +0200

haskell-http (20060707-3) unstable; urgency=low

  * debian/control:
      - Add XS-Vcs-Browser field.
      - Indent Homepage field.
  * debian/mk-haskell-depends: update script to take installed package
    configuration files as arguments.

 -- Arjan Oosting <arjan@debian.org>  Thu, 12 Apr 2007 10:14:34 +0200

haskell-http (20060707-2) unstable; urgency=medium

  * Rebuild against latest GHC (Closes: #394656)
  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.
  * debian/control:
    - added XS-Vcs-Svn field pointing to Subversion archive which contains
      this package.
    - added libghc6-network-dev to Build-Depends.
    - added dctrl-tools to Build-Depends as it is needed by
      debian/mk-haskell-depends.
    - change maintainer email address.
  * debian/rules:
    - add debian/mk-haskell-depends script which determines all
      dependencies by using the installed package description file used by
      ghc-pkg.
    - ensure the correct path for haddock-interfaces and haddock-html is
      used when registering the package.

 -- Arjan Oosting <arjan@debian.org>  Mon, 23 Oct 2006 14:53:38 +0200

haskell-http (20060707-1) unstable; urgency=low

  * New upstream release. (Closes: #375588)
  * All the dpatches are obsolete due to changes upstream, thus all
    dpatches are dropped.
  * debian/control.in: remove cpphs from Build-Depends.
  * debian/copyright: update copyright years with information from
    LICENSE file.
  * debian/rules:

 -- Arjan Oosting <arjanoosting@home.nl>  Sat,  8 Jul 2006 16:41:34 +0200

haskell-http (0.4.20050430-4) unstable; urgency=low

  * Cleanup the diff.gz a little by switching to dpatch. The diff.gz now
    only touches the files in the debian directory.
  * Drop patch to README which is not installed anyway.
  * Remove the support for the old Network.URI module from the diff.gz as
    ghc6 and hugs both have the new Network.URI module.
  * debian/control.in:
    - remove duplicate build dependencies
    - add versioned Build-Depends on ghc6 to get the latest version of Cabal.
    - drop the Build-Depends on libghc6-cabal-dev.
    - added ppc64 to Architectures line. (Closes: #375609)
    - add dpatch to Build-Depends.
  * debian/haskell-http-doc.docs: added. Install the API documentation.
  * debian/haskell-http-doc.doc-base: added. Register API documentation.
  * debian/patches/01_zord64-haddock.dpatch: added. Remove preprocessing
    stuff which is confusing haddock and breaks build with Cabal 1.1.4.
  * debian/patches/02_update-cabal.dpatch: added. Move the patches to the
    http.cabal file in here.
  * debian/rules:
    - remove unnecessary variables.
    - only call ./setup clean when it is configured.
  * Only install example in haskell-http-doc.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 30 Jun 2006 20:32:34 +0200

haskell-http (0.4.20050430-3) unstable; urgency=low

  * debian/rules:
    - remove INSTALL_PROGRAM += -s cruft, we use dh_strip.
    - remove configure and install targets, almost everything is done in
      the binary-arch and binary-indep targets.
  * debian/control.in:
    - remove the versioned dependency on ghc6 version 6.4.2 as it is not
      yet in the archive anyway.
    - Upgrade to Standards-Version 3.7.2. No changes needed.
    - Use the new substitution variables source:Version and build depend
      on dpkg-dev (>= 1.13.19) which introduces these new variables.

 -- Arjan Oosting <arjanoosting@home.nl>  Mon,  8 May 2006 19:59:36 +0200

haskell-http (0.4.20050430-2) unstable; urgency=low

  * Take over maintainership with permission of previous maintainer.
  * Run update-haskell-control to update the Build-Depends, Depends and
    Architecture lines. (Closes: #337979, #360878, #336396, #336268)
  * Remove support for nhc98 from the package.
  * debian/control.in:
    - Move haskell-http-doc to section doc.
    - Change to Standards-Version 3.6.2. No changes needed.
    - Cleanup the Build-Depends and Build-Depends-Indep
    - Add Homepage: http://www.haskell.org/http/ to the descriptions.
    - Properly escape ${haskell:Depends}.
    - Add versioned libghc6-cabal-dev and ghc6 to the Build-Depends to use
      Cabal version 1.1.1 or later which introduces a new installation
      prefix for libraries.
    libghc6-http-dev determinable.
  * debian/compat: added and set debhelper compatability level to 5.
  * debian/copyright: updated.
  * debian/haskell-http-doc.dirs: added.
  * debian/libhugs-http.install: added.
  * debian/libhugs-http.linda-overrides: added. The *.hs files need to be
    installed in /usr/lib/hugs/ so override linda warning.
  * debian/rules:
    - split the dh_haskell -a -i call two calls. Move all the architecture
      independent stuff to binary-indep and all the architecture dependent
      stuff to binary-arch. (Closes: #315333)
    - remove the empty directory usr/lib/haskell-packages/ghc6/bin
      (Closes: #324718)
    - do not ignore errors on clean and remove redundant make clean call.
    - general cleanup.
  * debian/watch: added watch file.
  * http.cabal: add package base to Build-Depends.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 20 Apr 2006 11:45:51 +0200

haskell-http (0.4.20050430-1) unstable; urgency=low

  * Updated to upstream snapshot 20050430
  * Add .examples files with test/get.hs (Closes: #304760)
  * A new upstream version (2005.5.5) is available, but will have
    to wait until licensing issues on a newly-introduced library
    dependency can be resolved
  * Add haddock docs in the haskell-http-doc package
  * Use update-haskell-control from haskell-utils for build deps (Closes: #310111)

 -- Ganesh Sittampalam <ganesh@earth.li>  Fri, 10 Jun 2005 15:11:38 +0100

haskell-http (0.4.20041219-2) unstable; urgency=low

  * Updated to use haskell-devscripts 0.5.6 (fixes #303073)

 -- Ganesh Sittampalam <ganesh@earth.li>  Mon, 11 Apr 2005 23:07:33 +0100

haskell-http (0.4.20041219-1) unstable; urgency=low

  * New upstream snapshot
  * Added hugs package

 -- Ganesh Sittampalam <ganesh@earth.li>  Sun, 19 Dec 2004 21:39:19 +0000

haskell-http (0.4-1) unstable; urgency=low

  * Initial Debian package.

 -- Ganesh Sittampalam <ganesh@earth.li>  Tue,  7 Dec 2004 02:11:23 +0000
